v.lrs.label - GRASS GIS manual
Author: GRASS Development Team
Description: v.lrs.label: Creates stationing from input lines, and linear reference system.
Keywords: vector, linear reference system, network

## NAME

v.lrs.label - Creates stationing from input lines, and linear reference system.

## KEYWORDS

vector, linear reference system, network

## SYNOPSIS

v.lrs.label
v.lrs.label --help
v.lrs.label input=name output=name [llayer=string] [rsdriver=string] [rsdatabase=string] rstable=string [labels=string] [offset=string[,string,...]] [xoffset=float] [yoffset=float] [reference=string] [font=string] [size=integer] [color=name] [width=integer] [highlight_color=name] [highlight_width=integer] [bgcolor=name] [border=name] [opaque=string] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=name [required]
  Name of input vector map
  Input vector map containing lines
output=name [required]
  Output vector map where stationing will be written
llayer=string
  Layer number or name
  Line layer
  Default: 1
rsdriver=string
  Driver name for reference system table
  Options: dbf, mesql, mysql, ogr, pg, sqlite
  Default: sqlite
rsdatabase=string
  Database name for reference system table
  Default: $GISDBASE/$LOCATION_NAME/$MAPSET/sqlite/sqlite.db
rstable=string [required]
  Name of the reference system table
labels=string
  Label file
offset=string[,string,...]
  PM left, MP right, stationing left, stationing right offset
  Default: 50,100,25,25
xoffset=float
  Offset label in label x-direction in map units
  Default: 25
yoffset=float
  Offset label in label y-direction in map units
  Default: 5
reference=string
  Reference position
  Options: center, left, right, upper, lower
  Default: center
font=string
  Font
  Default: standard
size=integer
  Label size (in map-units)
  Options: 1-1000
  Default: 100
color=name
  Text color
  Either a standard color name or R:G:B triplet
  Default: black
width=integer
  Line width of text
  Only for d.label output
  Options: 1-100
  Default: 1
highlight_color=name
  Highlight color for text
  Either a standard color name, R:G:B triplet, or "none"
  Default: none
highlight_width=integer
  Line width of highlight color
  Only for d.label output
  Options: 0-100
  Default: 0
bgcolor=name
  Background color
  Either a standard color name, R:G:B triplet, or "none"
  Default: none
border=name
  Border color
  Either a standard color name, R:G:B triplet, or "none"
  Default: none
opaque=string
  Opaque to vector
  Only relevant if background color is selected
  Options: yes, no
  Default: yes

## DESCRIPTION

v.lrs.label generates LRS labels for pretty-printing of a LRS. This example is written for the Spearfish dataset (it continues the example from v.lrs.create).

    v.lrs.label route_lrs rstable=route_lrs output=route_lrs_labels \
                labels=labels col=red size=50 xoffset=100

    g.region vector=route_lrs n=n+100 s=s-100 -p
    d.erase
    d.vect route_lrs
    d.vect route_lrs_labels col=grey type=line
    d.vect busstops disp=attr attr=cat size=10 bg=white lcol=green yref=bottom
    d.vect busstops icon=basic/circle fcol=green
    d.labels labels

## SEE ALSO

v.lrs.create, v.lrs.segment, v.lrs.where, d.labels, v.label

LRS tutorial,
Introducing the Linear Reference System in GRASS

## AUTHORS

Radim Blazek, ITC-irst/MPA Solutions
Documentation update (based on above journal article and available fragments): Markus Neteler

## SOURCE CODE

Available at: v.lrs.label source code (history)

Accessed: Saturday May 09 11:18:42 2026

Main index | Vector index | Topics index | Keywords index | Graphical index | Full index

© 2003-2025 GRASS Development Team, GRASS GIS 8.4.2 Reference Manual